aboutsummaryrefslogtreecommitdiffstats
path: root/main/util-linux-ng/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-08-14 09:36:18 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-08-16 11:18:17 +0000
commitc53dca816490c4c81e0e2c5d4adc5c3a0701ca8d (patch)
tree2827cb47fe68bbfea89dd1254d6ae9ec46dd9ccf /main/util-linux-ng/APKBUILD
parent21c0e59991fb8e571801a0323c5d5e50ec521338 (diff)
downloadaports-c53dca816490c4c81e0e2c5d4adc5c3a0701ca8d.tar.gz
aports-c53dca816490c4c81e0e2c5d4adc5c3a0701ca8d.tar.bz2
aports-c53dca816490c4c81e0e2c5d4adc5c3a0701ca8d.tar.xz
main/util-linux-ng: moved from testing. use gnu sed. sfdisk subpkg.
Diffstat (limited to 'main/util-linux-ng/APKBUILD')
-rw-r--r--main/util-linux-ng/APKBUILD65
1 files changed, 65 insertions, 0 deletions
diff --git a/main/util-linux-ng/APKBUILD b/main/util-linux-ng/APKBUILD
new file mode 100644
index 0000000000..6864105181
--- /dev/null
+++ b/main/util-linux-ng/APKBUILD
@@ -0,0 +1,65 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=util-linux-ng
+pkgver=2.16
+pkgrel=1
+pkgdesc="Random collection of Linux utilities"
+arch=""
+url="http://kernel.org/~kzak/util-linux-ng/"
+license="GPL-2 GPL Public Domain"
+depends=
+# use GNU sed til bb sed is fixed
+makedepends="zlib-dev sed"
+install=
+source="http://www.kernel.org/pub/linux/utils/util-linux-ng/v2.16/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev libuuid libblkid sfdisk"
+replaces="e2fsprogs"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -e 's/versionsort/alphasort/g'\
+ -e 's/strverscmp.h/dirent.h/g' \
+ -i mount/lomount.c
+
+ ./configure --prefix=/usr \
+ --disable-uuidd \
+ --disable-nls \
+ --disable-tls \
+ --disable-kill \
+ --disable-init \
+ --without-ncurses \
+ --without-pam
+
+ make || return 1
+ make -j1 install DESTDIR="$pkgdir"
+ # use pkg-config
+ rm -f "$pkgdir"/usr/lib/*.la
+}
+
+dev() {
+ default_dev
+ replaces="e2fsprogs-dev"
+}
+
+libuuid() {
+ pkgdesc="DCE compatible Universally Unique Identifier library"
+ depends=
+ mkdir -p "$subpkgdir"/lib
+ mv "$pkgdir"/lib/libuuid* "$subpkgdir"/lib/
+}
+
+libblkid() {
+ pkgdesc="Block device identification library from util-linux-ng"
+ depends=
+ mkdir -p "$subpkgdir"/lib
+ mv "$pkgdir"/lib/libblkid* "$subpkgdir"/lib/
+}
+
+sfdisk() {
+ pkgdesk="Partition table manipulator from util-linux-ng"
+ depends=
+ mkdir -p "$subpkgdir"/sbin
+ mv "$pkgdir"/sbin/sfdisk "$subpkgdir"/sbin/
+}
+
+md5sums="f6aba93a43b7736782d7aaa3718c45e3 util-linux-ng-2.16.tar.gz"